import { PixelCrop, PercentCrop, Crop, Ords } from './types';
export declare const defaultCrop: PixelCrop;
export declare function clamp(num: number, min: number, max: number): number;
export declare function areCropsEqual(cropA: Partial<Crop>, cropB: Partial<Crop>): boolean;
export declare function makeAspectCrop(crop: Partial<Crop>, aspect: number, containerWidth: number, containerHeight: number): PixelCrop | PercentCrop;
export declare function centerCrop(crop: Partial<Crop>, containerWidth: number, containerHeight: number): PixelCrop | PercentCrop;
export declare function convertToPercentCrop(crop: Partial<Crop>, containerWidth: number, containerHeight: number): PercentCrop;
export declare function convertToPixelCrop(crop: Partial<Crop>, containerWidth: number, containerHeight: number): PixelCrop;
export declare function containCrop(pixelCrop: PixelCrop, aspect: number, ord: Ords, containerWidth: number, containerHeight: number, minWidth?: number, minHeight?: number, maxWidth?: number, maxHeight?: number): {
    unit: "px";
    x: number;
    y: number;
    width: number;
    height: number;
};
export declare function throttle(fn: Function, wait?: number): (this: any) => void;
